Skip to main content
Version: 1.6

Admin - Grant a user usage permission on a key

POST 

/admin/keys/grant-usage-permission

authorization

This API endpoint requires an API Key with at least one of the following Roles: SystemAdmin | KeysManager

Grants a user usage permission on a key. The user is identified by its user_id and the key is identified by its key_id. The permission is one of Admin / Use - Admin can do anything while Use only let the user perform sign and derive-pubkey on the key

Request

Header Parameters

    AUTHORIZATION stringrequired

    The AUTHORIZATION header must be set to the API Key of the user. The API Key is returned when a new user is created using the /admin/create-user endpoint.

Body

required

    oneOf

    key_namestringrequired
    permissionKeyUsagePermissionrequired

    Specifies the permission levels for key usage within the system.

    Possible values: [use, admin]

    user_idUserIdrequired

Responses